Package net.shibboleth.shared.logic

# Class TrimOrNullStringFunction

java.lang.Object
net.shibboleth.shared.logic.TrimOrNullStringFunction

All Implemented Interfaces:
  `Function<String,String>`

@ThreadSafe public class TrimOrNullStringFunction extends Object implements Function<String,String>
A `Function` that applies `StringSupport.trimOrNull(String)` to a given input string.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final TrimOrNullStringFunction`
`INSTANCE`
A singleton instance of this function.

## Constructor Summary

Constructors
Constructor
Description
`TrimOrNullStringFunction()`

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(String input)`
`boolean`
`equals(Object obj)`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### INSTANCE

@Nonnull @NotEmpty public static final TrimOrNullStringFunction INSTANCE
A singleton instance of this function.

## Constructor Details

### TrimOrNullStringFunction

public TrimOrNullStringFunction()

## Method Details

### apply

@Nullable @NotEmpty public String apply(@Nullable String input)

Specified by:
  `apply` in interface `Function<String,String>`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`